API Reference
Get delivery performance
Returns delivery performance for a brand's outlets: average delivery time, fee, and distance, grouped by source. Narrow it to a city, area, or neighbourhood with the scope parameters.
GET
/brands/{brandSlug}/delivery-performanceAuthorizationBearer <token>
In: header
Path Parameters
brandSlugstring
Query Parameters
countryCodestring
Value in
"ae" | "sa" | "kw" | "qa" | "bh" | "eg" | "jo" | "om" | "ma" | "kz" | "iq"source?string
city?string
area?string
neighbourhoodId?string
Response Body
curl -X GET "https://loading/v1/brands/string/delivery-performance?countryCode=ae&source=string&city=string&area=string&neighbourhoodId=string"{
"data": [
{
"source": "string",
"city": "string",
"neighbourhood": "string",
"avgDeliveryTime": 0,
"avgDeliveryFee": 0,
"avgDistanceKm": 0
}
]
}Empty
Empty
Empty
Empty
Empty